Loading...
Searching...
No Matches
traits.hpp File Reference

Go to the source code of this file.

## Classes

struct | jni::IsPrimitive< T >
struct | jni::IsPrimitive< jboolean >
struct | jni::IsPrimitive< jbyte >
struct | jni::IsPrimitive< jchar >
struct | jni::IsPrimitive< jshort >
struct | jni::IsPrimitive< jint >
struct | jni::IsPrimitive< jlong >
struct | jni::IsPrimitive< jfloat >
struct | jni::IsPrimitive< jdouble >
struct | jni::IsReference< T >
struct | jni::IsReference< jobject >
struct | jni::IsReference< jclass >
struct | jni::IsReference< jstring >
struct | jni::IsReference< jthrowable >
struct | jni::IsArray< T >
struct | jni::IsArray< jarray< E > >
struct | jni::Conjunction<... >
struct | jni::Conjunction< B1 >
struct | jni::Conjunction< B1, Bn... >

## Namespaces

namespace | jni

## Functions

template<class T>
T & | jni::AsLvalue (T &&x)